#!/bin/sh
export PATH='/wrkdirs/usr/ports/devel/hs-hint/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: hint
version: 0.8.0
id: hint-0.8.0-7169sGeHQ7Q4VczDkRUTCh
key: hint-0.8.0-7169sGeHQ7Q4VczDkRUTCh
license: BSD-3-Clause
maintainer: mvdan@mvdan.cc
author: The Hint Authors
homepage: https://github.com/mvdan/hint
synopsis: Runtime Haskell interpreter (GHC API wrapper)
description:
    This library defines an Interpreter monad. It allows to load Haskell
    modules, browse them, type-check and evaluate strings with Haskell
    expressions and even coerce them into values. The library is thread-safe
    and type-safe (even the coercion of expressions to values).
    It is, essentially, a huge subset of the GHC API wrapped in a simpler
    API.
category: Language, Compilers/Interpreters
abi: 4cfcc71be013a7d9bf2da414c1330549
exposed: True
exposed-modules:
    Hint.Internal Language.Haskell.Interpreter
    Language.Haskell.Interpreter.Extension
    Language.Haskell.Interpreter.Unsafe
hidden-modules: Hint.GHC Hint.Base Hint.InterpreterT
                Hint.CompatPlatform Hint.Configuration Hint.Extension Hint.Context
                Hint.Conversions Hint.Eval Hint.Parsers Hint.Reflection
                Hint.Typecheck Hint.Util Hint.Annotations Control.Monad.Ghc
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/hint-0.8.0
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/hint-0.8.0
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/hint-0.8.0
hs-libraries: HShint-0.8.0-7169sGeHQ7Q4VczDkRUTCh
include-dirs: /usr/local/include
depends:
    base-4.11.1.0 ghc-8.4.3 ghc-paths-0.1.0.9-BTJEJFO7ixU1hUjA8BfQ4h
    ghc-boot-8.4.3 mtl-2.2.2 filepath-1.4.2
    exceptions-0.10.0-DItW7BM25Zz5r6SzsXOWGb
    random-1.1-9LLJAJa4iQFLJiLXBOBXBV directory-1.3.1.5
    temporary-1.2.1-KjiA3Vq9KUIIpJ6CovtXSO unix-2.7.2.2
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             ghc-8.4.3=cbe9a7b33a2af49f4810875a55271284
             ghc-paths-0.1.0.9-BTJEJFO7ixU1hUjA8BfQ4h=ddbf9fffc62300ff406b56e811220ecb
             ghc-boot-8.4.3=0a9684122f1491de3227e5564b600365
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             filepath-1.4.2=199aef3b23f4884447a6092b74bc0baf
             exceptions-0.10.0-DItW7BM25Zz5r6SzsXOWGb=3b7954b96c2c87bf5286292d76d1f9de
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=6c9dabf50bfbc27cd6da1a2ab69b5015
             directory-1.3.1.5=2bbffb7dcb6ee6e25d353c415806225f
             temporary-1.2.1-KjiA3Vq9KUIIpJ6CovtXSO=29f4d13a76699ce5d08011b180e47bcf
             unix-2.7.2.2=756fd47ca549d12d1875edf33404349c
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/hint-0.8.0/html/hint.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/hint-0.8.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

